: Class ArrayAttribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class ArrayAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.ArrayAttribute

Direct Known Subclasses:
  IntegerArrayAttribute, IPTemplatesAttribute, PropertiesAttribute, SegmentArrayAttribute, StringArrayAttribute

public abstract class ArrayAttribute
extends Attribute

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`ArrayAttribute()`
`ArrayAttribute(java.lang.String name, java.lang.Object def, int flags)`

Method Summary
`abstract java.lang.String[]` | `pickle(java.lang.Object array)` Pickle an attribute array into a String array.
`java.lang.String` | `stringify(java.lang.Object value)`
`abstract java.lang.Object` | `unpickle(java.lang.String[] array)` Unpickle an attribute array from a string array.

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, checkValue, getDefault, getFlag, getName, getType, setFlag, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayAttribute

    public ArrayAttribute(java.lang.String name,
                          java.lang.Object def,
                          int flags)

### ArrayAttribute

    public ArrayAttribute()

Method Detail

### unpickle

    public abstract java.lang.Object unpickle(java.lang.String[] array)

  Unpickle an attribute array from a string array.
  Parameters:
    `array` - the String array
  Returns:
    a Object array

### pickle

    public abstract java.lang.String[] pickle(java.lang.Object array)

  Pickle an attribute array into a String array.
  Parameters:
    `array` - the attribute array
  Returns:
    a String array

### stringify

    public java.lang.String stringify(java.lang.Object value)

  Overrides:
    stringify in class Attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD